1. Watch
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
        POST
      • Get All Product Watches
        GET
      • Get Specific Product Watch
        GET
      • Get Specific Product Watch from Metadata
        GET
      • Edit Product Watch
        PUT
      • Delete Product Watch
        DELETE
      • Get Single Product Watch Notification History
        GET
      • Get Product Watch Notification History via Metadata
        GET
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Watch

Get Single Product Watch Notification History

Testing
GET
/v1/products/watches/{watch_id}/histories

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/products/watches/9ea50d84-1f2c-4cce-aec9-c86d8d01fc8b/histories' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json'

Responses

🟢200OK
application/json
Body

Example
{
    "watch_id": "9e838778-c642-4461-b8d8-bcab87889a91",
    "name": "Nike Shoe Price Drop Watch",
    "target_id": "8099982740095203709",
    "histories": [
        {
            "watch_id": "uuid-uuid-uuid-uuid",
            "id": "uuid-uuid-uuid-uuid",
            "changes": [
                {
                    "field": "final_price",
                    "old_value": 199,
                    "new_value": 149
                }
            ],
            "notified_at": "2025-02-19T15:30:45Z"
        }
    ],
    "meta": {
        "total_events": 0,
        "page_size": 15,
        "page": 1,
        "trace_id": "0195ce1a-6899-70ab-b213-738733bb8b08"
    }
}
🟠429Rate Limit Exceeded
Modified at 2025-04-21 14:54:30
Previous
Delete Product Watch
Next
Get Product Watch Notification History via Metadata